http_metainfo_new.c File Reference
`#include "config.h"`
`#include <glib.h>`
`#include "quvi.h"`
`#include "_quvi_s.h"`
`#include "_quvi_http_metainfo_s.h"`

## Functions

quvi_http_metainfo_t | quvi_http_metainfo_new (quvi_t handle, const char *url)
| Query meta-info properties for an URL.

## Function Documentation

## quvi_http_metainfo_new()

quvi_http_metainfo_t quvi_http_metainfo_new | ( | quvi_t | handle,
|  | const char * | url )

Query meta-info properties for an URL.

Returns
  New handle, quvi_http_metainfo_free when done using it

Note
  - Support for determining the file extension is very limited
  - Use quvi_ok for checking if an error occurred